<Templates>
    <Template id="01">
        <text>foreach</text>
		<tip>For Each Block</tip>
        <subs><![CDATA[for(${item} in ${list}){
    ${cursor}
}]]></subs>
		<explanation>access to each item of the iterable object list</explanation>
	</Template>
	<Template id="02">
		<text>for</text>
		<tip>For Block</tip>
		<subs><![CDATA[for (i = 0; i < ${x}; i++) {
	${cursor}
}]]></subs>
		<explanation>Executes 'x' times the body of the Template</explanation>
	</Template>
	<Template id="03">
	<text>if</text>
	<tip>If Block</tip>
	<subs><![CDATA[if(${condition}) { 
	${cursor}
} else{ 
}]]></subs>
		<explanation>Executes 'x' times the body of the Template</explanation>
	</Template>
</Templates>
